﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using DlhSoft.Windows.Data;

namespace LoadChartViewResourceFilteringSample
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void ResourceFilter_Changed(object sender, RoutedEventArgs e)
        {
            // Collect the resource to use for filtering.
            ResourceItem resourceItem = ResourceFilterComboBox.SelectedItem as ResourceItem;
            // Set the VisibilityFilter property of the control to an entity predicate to apply visibility filtering.
            LoadChartView.VisibilityFilter = 
                delegate(Entity entity) { return entity.Item == resourceItem; };
        }
    }
}
